package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

import java.util.Date;

/**
 * 内蒙古自治区领导人词库对象 trs_namenmg_words
 * 
 * @author ruoyi
 * @date 2025-04-20
 */
public class TrsNamenmgWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 人名 */
    @Excel(name = "人名")
    private String wrongWord;

    /** 地区 */
    @Excel(name = "地区")
    private String country;

    /** 职务全称 */
    @Excel(name = "职务全称")
    private String dutyAll;

    /** 职务简称 */
    @Excel(name = "职务简称")
    private String dutyShort;

    /** 顺序 */
    @Excel(name = "顺序")
    private String sort;

    /** 词典类型 */
    private String dictType;

    /** 是否包含 */
    private Integer flag;

    /** 审核状态 */
    private String status;

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCountry(String country) 
    {
        this.country = country;
    }

    public String getCountry() 
    {
        return country;
    }

    public void setDutyAll(String dutyAll) 
    {
        this.dutyAll = dutyAll;
    }

    public String getDutyAll() 
    {
        return dutyAll;
    }

    public void setDutyShort(String dutyShort) 
    {
        this.dutyShort = dutyShort;
    }

    public String getDutyShort() 
    {
        return dutyShort;
    }

    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }

    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }

    public void setFlag(Integer flag) 
    {
        this.flag = flag;
    }

    public Integer getFlag() 
    {
        return flag;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wrongWord", getWrongWord())
            .append("country", getCountry())
            .append("dutyAll", getDutyAll())
            .append("dutyShort", getDutyShort())
            .append("sort", getSort())
            .append("dictType", getDictType())
            .append("flag", getFlag())
            .append("status", getStatus())
            .toString();
    }
}
